Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Interface CacheAdapterFactory<K,V>

All Known Implementing Classes:
  PerConnectionLRUFactory

    public interface CacheAdapterFactory<K,V>

Method Summary
`CacheAdapter<K,V>` | `getInstance(Connection forConn, java.lang.String url, int cacheMaxSize, int maxKeySize, java.util.Properties connectionProperties)`

Method Detail

### getInstance

    CacheAdapter<K,V> getInstance(Connection forConn,
                                  java.lang.String url,
                                  int cacheMaxSize,
                                  int maxKeySize,
                                  java.util.Properties connectionProperties)
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD